import React from 'react';
import { Modal, Button, Menu, Dropdown, Icon } from 'antd';

export default props => {
  const handleMenuClick = e => {
    if (e.key === 'add') {
      props.onAdd(props.data)
    } else {
      Modal.confirm({
        title: '删除',
        content: '确认进行此操作?',
        onOk: () => {
          props.onDelete(props.data)
        }
      })
    }
  }

  const menu = (
    <Menu onClick={handleMenuClick}>
      <Menu.Item key="add">增加</Menu.Item>
      <Menu.Item key="delete">删除</Menu.Item>
    </Menu>
  );

  return (
    <Dropdown menu={menu} size="small">
      <Button type="link" size="small">
        <span>{props.data.title}</span>
        <Icon type="edit" />
      </Button>
    </Dropdown>
  )
}
